# opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo Class Reference

This class hosts information about a single Harris keypoint (position, descriptor etc.). More...

List of all members.

## Public Member Functions
| HarrisInfo (const HarrisInfo &c)
| Copy constructor.
| HarrisInfo (int winSize)
HarrisInfo & | operator= (const HarrisInfo &c)
| ~HarrisInfo ()
## Public Attributes
math::SquareMatrix * | desc
int | linkId
int | matchInd
int | mWinSize
| Size of the window descriptor.
math::Vector4 | objN
math::Vector4 | objP
std::vector< math::Vector2 > | reprojJac
math::Vector2 | reprojP
math::Vector2 | screenP
int | targetId

## Detailed Description

This class hosts information about a single Harris keypoint (position, descriptor etc.).

## Constructor & Destructor Documentation

opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::HarrisInfo | ( | int | winSize | ) | `[inline]`

opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::HarrisInfo | ( | const HarrisInfo & | c | ) | `[inline]`

Copy constructor.

opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::~HarrisInfo | ( |  | ) | `[inline]`

## Member Function Documentation

HarrisInfo& opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::operator= | ( | const HarrisInfo & | c | ) | `[inline]`

## Member Data Documentation

math::SquareMatrix* opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::desc

feature descriptor (= grey-scale pattern)

int opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::linkId

link ID

int opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::matchInd

Index of matched feature in another array

int opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::mWinSize

Size of the window descriptor.

math::Vector4 opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::objN

normal vector in body space

math::Vector4 opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::objP

homogeneous point coordinates in body space

std::vector<math::Vector2> opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::reprojJac

Jacobian of re-projected coordinates

math::Vector2 opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::reprojP

re-projected screen coordinates (e.g. from key to predicted frame)

math::Vector2 opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::screenP

screen coordinates

int opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints::HarrisInfo::targetId

target ID